Docs
V1 APIConnections

List connection properties

Enabled properties attached to an enabled connection. Disabled properties are omitted, so this list agrees with the per-property portfolio routes, which 404 them. The current endpoint does not enforce a specific connection type.

GET/api/v1/connection/{connection}/properties

Enabled properties attached to an enabled connection. Disabled properties are omitted, so this list agrees with the per-property portfolio routes, which 404 them. The current endpoint does not enforce a specific connection type.

Path Parameters

connection*string

Connection UUID.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/connection/497f6eca-6276-4993-bfeb-53cbbbba6f08/properties"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "slug": "string",      "key": "string",      "image": "http://example.com",      "imageFull": "http://example.com",      "website": "http://example.com",      "residentPortalUrl": "http://example.com",      "applicationUrl": "http://example.com",      "tourBookingUrl": "http://example.com",      "phone": "string",      "phoneNumbers": [        {}      ],      "email": "string",      "socials": [        {}      ],      "address": "string",      "street": "string",      "street2": "string",      "city": "string",      "state": "string",      "zipcode": "string",      "country": "string",      "latitude": 0,      "longitude": 0,      "tags": [        "string"      ],      "tags_string": "string",      "unitsCount": 0,      "hasAvailability": true,      "availableUnitsCount": 0,      "minRent": 0,      "maxRent": 0,      "unitTypes": [        {          "unitTypeName": "string",          "unitTypeSlug": "string",          "bedrooms": 0,          "minSquareFeet": 0,          "maxSquareFeet": 0,          "minPriceAvailable": 0,          "maxPriceAvailable": 0,          "minBaseRent": 0,          "maxBaseRent": 0,          "minTmlp": 0,          "maxTmlp": 0,          "fees": [            {              "fee_id": "6a6e29c0-8cb8-4e1c-8beb-6b16e737bdd5",              "code": "string",              "name": "string",              "description": "string",              "class": "string",              "calculated_amount": 0,              "is_variable": true,              "currency": "USD",              "frequency": "string",              "requirement": "string"            }          ],          "feeTotal": 0,          "feeTotalMax": 0,          "totalUnits": 0,          "availableUnits": 0        }      ],      "minBaseRent": 0,      "maxBaseRent": 0,      "leasingSettings": {        "applicant_hold_period_days": 0,        "availability_window_days": 0      },      "pricingDisplaySettings": {        "hidden_price_label": "string",        "no_availability_price_label": "string",        "no_price_label": "string",        "hide_all_pricing": true,        "hide_price_when_no_availability": true,        "pricing_display_mode": "string",        "tmlp_label": "string",        "show_fee_breakdown": true,        "fee_breakdown_behavior": "string",        "pricing_disclaimer_text": "string"      },      "displaySettings": {        "prepend_building_number_to_unit_number": true,        "show_non_marketable_amenities": true,        "hide_available_units": true      },      "officeHours": {        "hours": [          {            "day": "string",            "time": "string"          }        ],        "display_heading": "string",        "disclaimer": "string"      },      "petPolicy": {        "description": "string",        "restrictions": "string"      },      "averageRating": 0,      "totalReviewCount": 0,      "groups": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "label": "string",          "slug": "string",          "set": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "objectType": "property"          }        }      ]    }  ]}